#!/bin/sh

# On recupere la liste des erratas securite de Redhat
liste_errata=`hammer erratum list --errata-restrict-installable true --organization "CD35" | grep "| security    |" | grep RHSA | awk '{printf $3","}' | sed "s/.$//"`
echo "LISTE DES ERRATA A INSTALLER SUR REDHAT"
echo $liste_errata
echo "DEBUT D'INSTALLATION DES ERRATE REDHAT"
hammer host-collection erratum install --errata=$liste_errata --name RHEL_TEST --organization "CD35"
echo "FIN D'INSTALLATION DES ERRATA REDHAT"

# On recupere la liste des erratas securite CentOS
liste_errata=`hammer erratum list --errata-restrict-installable true --organization "CD35" | grep "| security    |" | grep CESA | awk '{printf $3","}' | sed "s/.$//"`
echo "LISTE DES ERRATA A INSTALLER SUR CENTOS"
echo $liste_errata
echo "DEBUT D'INSTALLATION DES ERRATA CENTOS"
hammer host-collection erratum install --errata=$liste_errata --name CENTOS_TEST --organization "CD35"
echo "FIN D'INSTALLATION DES ERRATA CENTOS"
